Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#66247 - [python-jedi] Version conflict with python-language-server

Attached to Project: Community Packages
Opened by Daniel Mulford (dgmulf) - Monday, 13 April 2020, 23:35 GMT
Last edited by freswa (frederik) - Monday, 13 April 2020, 23:40 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
python-jedi version 0.16.0-1 breaks python-language-server, which requires jedi<0.16,>=0.14.1.

Additional info:
Complete output of `pyls`:
```
Traceback (most recent call last):
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (jedi 0.16.0 (/usr/lib/python3.8/site-packages), Requirement.parse('jedi<0.16,>=0.14.1'), {'python-language-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pyls", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3259, in <module>
def _initialize_master_working_set():
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3242, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3271, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'jedi<0.16,>=0.14.1' distribution was not found and is required by python-language-server
```
This task depends upon

Closed by  freswa (frederik)
Monday, 13 April 2020, 23:40 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#65868 

Loading...